Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3/ia/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3/ia/COMP/opa9.card	(revision 5945)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3/ia/COMP/opa9.card	(revision 5952)
@@ -16,5 +16,5 @@
 #==================================================================================================
 forcing=core
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREII
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREIIcorr
 ListForcing=(u_10_CORE2_fill v_10_CORE2_fill t_10_CORE2_fill q_10_CORE2_fill ncar_rad_CORE2_fill ncar_precip_CORE2_fill)
 YearForcingInit=1948
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3_PISCES/ia/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3_PISCES/ia/COMP/opa9.card	(revision 5945)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA025_LIM3_PISCES/ia/COMP/opa9.card	(revision 5952)
@@ -16,5 +16,5 @@
 #==================================================================================================
 forcing=core
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREII
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREIIcorr
 ListForcing=(u_10_CORE2_fill v_10_CORE2_fill t_10_CORE2_fill q_10_CORE2_fill ncar_rad_CORE2_fill ncar_precip_CORE2_fill)
 YearForcingInit=1948
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/COMP/opa9.card	(revision 5945)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/clim/COMP/opa9.card	(revision 5952)
@@ -13,5 +13,5 @@
 #==============================================================
 forcing=core
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREII
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREIIcorr
 #==============================================================
 
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/COMP/opa9.card	(revision 5945)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/core/ia/COMP/opa9.card	(revision 5952)
@@ -17,5 +17,5 @@
 #==================================================================================================
 forcing=core
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREII
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREIIcorr
 ListForcing=(u_10_CORE2_fill v_10_CORE2_fill t_10_CORE2_fill q_10_CORE2_fill ncar_rad_CORE2_fill ncar_precip_CORE2_fill)
 YearForcingInit=1948
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/opa9.card	(revision 5945)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip1/ia/COMP/opa9.card	(revision 5952)
@@ -17,5 +17,5 @@
 #==================================================================================================
 forcing=core
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREII
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREIIcorr
 ListForcing=(u_10_CORE2_fill v_10_CORE2_fill t_10_CORE2_fill q_10_CORE2_fill ncar_rad_CORE2_fill ncar_precip_CORE2_fill)
 YearForcingInit=1948
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/opa9.card	(revision 5945)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/clim/COMP/opa9.card	(revision 5952)
@@ -13,5 +13,5 @@
 #==============================================================
 forcing=core
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREII
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREIIcorr
 #==============================================================
 
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/ia/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/ia/COMP/opa9.card	(revision 5945)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/core/ia/COMP/opa9.card	(revision 5952)
@@ -16,5 +16,5 @@
 #==================================================================================================
 forcing=core
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREII
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREIIcorr
 ListForcing=(u_10_CORE2_fill v_10_CORE2_fill t_10_CORE2_fill q_10_CORE2_fill ncar_rad_CORE2_fill ncar_precip_CORE2_fill)
 YearForcingInit=1948
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA025/namelist_core_clim_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA025/namelist_core_clim_cfg	(revision 5945)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA025/namelist_core_clim_cfg	(revision 5952)
@@ -240,5 +240,5 @@
    sn_tair     = 't_10'       ,         6         , 'T_10_MOD',   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_humi     = 'q_10'       ,         6         , 'Q_10_MOD',   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_prec     = 'precip'     ,        -1         , 'PRC_MOD1',   .true.     ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_prec     = 'precip'     ,        -1         , 'PRC_MOD' ,   .true.     ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_snow     = 'snow'       ,        -1         , 'SNOW'    ,   .true.     ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''
 !   sn_tdif    = 'taudif_core',        24         ,'taudif'   ,   .false.       , .true.  , 'yearly'  , 'weights_bilinear.nc' , ''  , ''
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA025/namelist_core_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA025/namelist_core_ia_cfg	(revision 5945)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA025/namelist_core_ia_cfg	(revision 5952)
@@ -241,5 +241,5 @@
    sn_tair     = 't_10_CORE2_fill'        ,         6         , 'T_10_MOD',   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_humi     = 'q_10_CORE2_fill'        ,         6         , 'Q_10_MOD',   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_prec     = 'ncar_precip_CORE2_fill' ,        -1         , 'RAIN'    ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_prec     = 'ncar_precip_CORE2_fill' ,        -1         , 'PRC_MOD' ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_snow     = 'ncar_precip_CORE2_fill' ,        -1         , 'SNOW'    ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
 /
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_clim_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_clim_cfg	(revision 5945)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_clim_cfg	(revision 5952)
@@ -113,5 +113,5 @@
    sn_tair     = 't_10'       ,         6         , 'T_10_MOD',   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_humi     = 'q_10'       ,         6         , 'Q_10_MOD',   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_prec     = 'precip'     ,        -1         , 'PRC_MOD1',   .true.     ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_prec     = 'precip'     ,        -1         , 'PRC_MOD' ,   .true.     ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_snow     = 'snow'       ,        -1         , 'SNOW'    ,   .true.     ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''
 /
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg	(revision 5945)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg	(revision 5952)
@@ -114,5 +114,5 @@
    sn_tair     = 't_10_CORE2_fill'        ,         6         , 'T_10_MOD',   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_humi     = 'q_10_CORE2_fill'        ,         6         , 'Q_10_MOD',   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_prec     = 'ncar_precip_CORE2_fill' ,        -1         , 'RAIN'    ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_prec     = 'ncar_precip_CORE2_fill' ,        -1         , 'PRC_MOD' ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_snow     = 'ncar_precip_CORE2_fill' ,        -1         , 'SNOW'    ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
 /
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_clim_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_clim_cfg	(revision 5945)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_clim_cfg	(revision 5952)
@@ -95,5 +95,5 @@
    sn_tair     = 't_10'       ,         6         , 'T_10_MOD',   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_humi     = 'q_10'       ,         6         , 'Q_10_MOD',   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_prec     = 'precip'     ,        -1         , 'PRC_MOD1',   .true.     ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_prec     = 'precip'     ,        -1         , 'PRC_MOD' ,   .true.     ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_snow     = 'snow'       ,        -1         , 'SNOW'    ,   .true.     ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''
 /
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_ia_cfg	(revision 5945)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_ia_cfg	(revision 5952)
@@ -96,5 +96,5 @@
    sn_tair     = 't_10_CORE2_fill'        ,         6         , 'T_10_MOD',   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_humi     = 'q_10_CORE2_fill'        ,         6         , 'Q_10_MOD',   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_prec     = 'ncar_precip_CORE2_fill' ,        -1         , 'RAIN'    ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_prec     = 'ncar_precip_CORE2_fill' ,        -1         , 'PRC_MOD' ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_snow     = 'ncar_precip_CORE2_fill' ,        -1         , 'SNOW'    ,   .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
 /