Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/core/clim/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/core/clim/COMP/opa9.card	(revision 5952)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/core/clim/COMP/opa9.card	(revision 5953)
@@ -8,5 +8,5 @@
 OutputLevel=10
 forcing=core
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREII
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREIIcorr
 #==============================================================
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/core/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/core/ia/COMP/opa9.card	(revision 5952)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/core/ia/COMP/opa9.card	(revision 5953)
@@ -8,5 +8,5 @@
 OutputLevel=10
 forcing=core
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREII
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREIIcorr
 ListForcing=(u_10_CORE2_fill v_10_CORE2_fill t_10_CORE2_fill q_10_CORE2_fill ncar_rad_CORE2_fill ncar_precip_CORE2_fill slp_CORE2_fill)
 YearForcingInit=1948
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/clim/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/clim/COMP/opa9.card	(revision 5952)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/clim/COMP/opa9.card	(revision 5953)
@@ -8,5 +8,5 @@
 OutputLevel=10
 forcing=core
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREII
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREIIcorr
 #==============================================================
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/ia/COMP/opa9.card	(revision 5952)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_PISCES/core/ia/COMP/opa9.card	(revision 5953)
@@ -8,5 +8,5 @@
 OutputLevel=10
 forcing=core
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREII
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREIIcorr
 ListForcing=(u_10_CORE2_fill v_10_CORE2_fill t_10_CORE2_fill q_10_CORE2_fill ncar_rad_CORE2_fill ncar_precip_CORE2_fill slp_CORE2_fill)
 YearForcingInit=1948
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_TRC/core/clim/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_TRC/core/clim/COMP/opa9.card	(revision 5952)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_TRC/core/clim/COMP/opa9.card	(revision 5953)
@@ -8,5 +8,5 @@
 OutputLevel=10
 forcing=core
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREII
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREIIcorr
 #==============================================================
 
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_TRC/core/ia/COMP/opa9.card
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_TRC/core/ia/COMP/opa9.card	(revision 5952)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA2_ICE_TRC/core/ia/COMP/opa9.card	(revision 5953)
@@ -8,5 +8,5 @@
 OutputLevel=10
 forcing=core
-R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREII
+R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/COREIIcorr
 ListForcing=(u_10_CORE2_fill v_10_CORE2_fill t_10_CORE2_fill q_10_CORE2_fill ncar_rad_CORE2_fill ncar_precip_CORE2_fill slp_CORE2_fill)
 YearForcingInit=1948
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_clim_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_clim_cfg	(revision 5952)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_clim_cfg	(revision 5953)
@@ -117,5 +117,5 @@
    sn_tair     = 't_10_CORE2_fill'            ,         6.        , 'T_10_MOD',   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_humi     = 'q_10_CORE2_fill'            ,         6.        , 'Q_10_MOD',   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
-   sn_prec     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'RAIN'    ,   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
+   sn_prec     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'PRC_MOD' ,   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_snow     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'SNOW'    ,   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_slp      = 'slp_CORE2_fill'             ,         6.        , 'SLP'     ,   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg	(revision 5952)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA1/namelist_core_ia_cfg	(revision 5953)
@@ -117,5 +117,5 @@
    sn_tair     = 't_10_CORE2_fill'            ,         6.        , 'T_10_MOD',   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_humi     = 'q_10_CORE2_fill'            ,         6.        , 'Q_10_MOD',   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
-   sn_prec     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'RAIN'    ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
+   sn_prec     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'PRC_MOD' ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_snow     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'SNOW'    ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_slp      = 'slp_CORE2_fill'             ,         6.        , 'SLP'     ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_clim_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_clim_cfg	(revision 5952)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_clim_cfg	(revision 5953)
@@ -124,5 +124,5 @@
    sn_tair     = 't_10_CORE2_fill'            ,         6.        , 'T_10_MOD',   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_humi     = 'q_10_CORE2_fill'            ,         6.        , 'Q_10_MOD',   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
-   sn_prec     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'RAIN'    ,   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
+   sn_prec     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'PRC_MOD' ,   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_snow     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'SNOW'    ,   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_slp      = 'slp_CORE2_fill'             ,         6.        , 'SLP'     ,   .false.    ,  .true. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
Index: /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_ia_cfg
===================================================================
--- /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_ia_cfg	(revision 5952)
+++ /CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/ORCA2/namelist_core_ia_cfg	(revision 5953)
@@ -124,5 +124,5 @@
    sn_tair     = 't_10_CORE2_fill'            ,         6.        , 'T_10_MOD',   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_humi     = 'q_10_CORE2_fill'            ,         6.        , 'Q_10_MOD',   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
-   sn_prec     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'RAIN'    ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
+   sn_prec     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'PRC_MOD' ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_snow     = 'ncar_precip_CORE2_fill'     ,        -1.        , 'SNOW'    ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''
    sn_slp      = 'slp_CORE2_fill'             ,         6.        , 'SLP'     ,   .false.    ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''       , ''