Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/decadal/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/decadal/COMP/orchidee.card	(revision 5955)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/decadal/COMP/orchidee.card	(revision 5956)
@@ -41,4 +41,5 @@
 List= ()
 ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_1850.nc, PFTmap.nc),\
+            (${R_IN}/SRF/soils_param.nc, . ), \
             (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_1850.nc,           woodharvest.nc)
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_TEST/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_TEST/COMP/orchidee.card	(revision 5955)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_TEST/COMP/orchidee.card	(revision 5956)
@@ -37,4 +37,5 @@
 [BoundaryFiles]
 List= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_${year}.nc, PFTmap.nc) ,\
+      (${R_IN}/SRF/soils_param.nc, . ), \
       (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_${year}.nc,          woodharvest.nc)      
 ListNonDel= ()
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR025_TEST/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR025_TEST/COMP/orchidee.card	(revision 5955)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR025_TEST/COMP/orchidee.card	(revision 5956)
@@ -43,4 +43,5 @@
 List= ()
 ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_2000.nc, PFTmap.nc),\
+            (${R_IN}/SRF/soils_param.nc, . ), \
             (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_2000.nc,           woodharvest.nc)
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR1_TEST/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR1_TEST/COMP/orchidee.card	(revision 5955)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR1_TEST/COMP/orchidee.card	(revision 5956)
@@ -41,4 +41,5 @@
 List= ()
 ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_2000.nc, PFTmap.nc),\
+            (${R_IN}/SRF/soils_param.nc, . ), \
             (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_2000.nc,           woodharvest.nc)
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/COMP/orchidee.card	(revision 5955)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/COMP/orchidee.card	(revision 5956)
@@ -41,4 +41,5 @@
 List= ()
 ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_2000.nc, PFTmap.nc),\
+            (${R_IN}/SRF/soils_param.nc, . ), \
             (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_2000.nc,           woodharvest.nc)
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_CMIP6/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_CMIP6/COMP/orchidee.card	(revision 5955)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_CMIP6/COMP/orchidee.card	(revision 5956)
@@ -43,4 +43,5 @@
 List= (${R_IN}/CMIP6/${config_UserChoices_LongName}/${config_UserChoices_ModelName}/${config_UserChoices_ExperimentName}/${config_UserChoices_Member}/${year}/dr2xml_orchidee.xml, .)
 ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_1850.nc, PFTmap.nc),\
+            (${R_IN}/SRF/soils_param.nc, . ), \
             (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_1850.nc,           woodharvest.nc)
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_TEST/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_TEST/COMP/orchidee.card	(revision 5955)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_TEST/COMP/orchidee.card	(revision 5956)
@@ -43,4 +43,5 @@
 List= ()
 ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_1850.nc, PFTmap.nc),\
+            (${R_IN}/SRF/soils_param.nc, . ), \
             (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_1850.nc,           woodharvest.nc)
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_CMIP6/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_CMIP6/COMP/orchidee.card	(revision 5955)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_CMIP6/COMP/orchidee.card	(revision 5956)
@@ -41,4 +41,5 @@
 List= (${R_IN}/CMIP6/${config_UserChoices_LongName}/${config_UserChoices_ModelName}/${config_UserChoices_ExperimentName}/${config_UserChoices_Member}/${year}/dr2xml_orchidee.xml, .) 
 ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_1850.nc, PFTmap.nc),\
+            (${R_IN}/SRF/soils_param.nc, . ), \
             (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_1850.nc,           woodharvest.nc)
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_TEST/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_TEST/COMP/orchidee.card	(revision 5955)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_TEST/COMP/orchidee.card	(revision 5956)
@@ -41,4 +41,5 @@
 List= ()
 ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_1850.nc, PFTmap.nc),\
+            (${R_IN}/SRF/soils_param.nc, . ), \
             (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_1850.nc,           woodharvest.nc)
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card	(revision 5955)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card	(revision 5956)
@@ -41,4 +41,5 @@
 List= ()
 ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_1850.nc, PFTmap.nc),\
+            (${R_IN}/SRF/soils_param.nc, . ), \
             (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_1850.nc,           woodharvest.nc)
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/orchidee.card	(revision 5955)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/orchidee.card	(revision 5956)
@@ -43,4 +43,5 @@
 List= ()
 ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_1850.nc, PFTmap.nc),\
+            (${R_IN}/SRF/soils_param.nc, . ), \
             (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_1850.nc,           woodharvest.nc)
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/COMP/orchidee.card	(revision 5955)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/COMP/orchidee.card	(revision 5956)
@@ -41,4 +41,5 @@
 List= ()
 ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_1850.nc, PFTmap.nc),\
+            (${R_IN}/SRF/soils_param.nc, . ), \
             (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_1850.nc,           woodharvest.nc)
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/orchidee.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/orchidee.card	(revision 5955)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/COMP/orchidee.card	(revision 5956)
@@ -43,4 +43,5 @@
 List= ()
 ListNonDel= (${R_IN}/SRF/PFTMAPS/CMIP6/ESA-LUH2v2/historical/15PFT.v1/PFTmap_1850.nc, PFTmap.nc),\
+            (${R_IN}/SRF/soils_param.nc, . ), \
             (${R_IN}/SRF/WOODHARVEST/LUH2v2/historical/woodharvest_1850.nc,           woodharvest.nc)
 