Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/inca.card	(revision 5961)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/inca.card	(revision 5962)
@@ -38,12 +38,7 @@
 	
 [BoundaryFiles]
-List=(${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/ANT/sflx_lmdz_ANT_${year}_phy.nc,   sflx_ANT.nc         ),\
-     (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/BBG/sflx_lmdz_BBG_${year}_phy.nc,   sflx_BBG.nc         ),\
-     (${R_IN}/CHM/IPCC_AR6/AIRCRAFT/${RESOL_CHM}/aircraft_${year}_phy.nc           ,   aircraft_mth.nc     )
+List=( )
 
 ListNonDel= (${R_IN}/CHM/INCA${RESOL_CHM}/npp.nc		            ,   npp.nc		)\
-            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/sflx_lmdz_GHG.nc  ,   sflx_GHG.nc     )\
-            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/sflx_lmdz_MISC.nc ,   sflx_MISC.nc    )\
-            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/sflx_lmdz_NAT.nc  ,   sflx_NAT.nc     )\
 	    (${R_IN}/CHM/INCA${RESOL_CHM}/landuse.nc		            ,   landuse.nc	)\
             (${R_IN}/CHM/INCA${RESOL_CHM}/rhvEC.txt		            ,   rhvEC.txt	)\
Index: /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/inca.card.xios
===================================================================
--- /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/inca.card.xios	(revision 5961)
+++ /CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/EXPERIMENTS/LMDZORINCA/DUSS/COMP/inca.card.xios	(revision 5962)
@@ -34,50 +34,12 @@
 [InitialStateFiles]
 List= ($CCCSCRATCHDIR/IGCM_OUT/LMDZORINCA/TEST/DUSS/DUSSdevreadxios.1/CHM/Restart/DUSSdevreadxios.1_20060101_chem_restart.nc, chem_start.nc)
-#List= ()
-
-#	
-#[BoundaryFiles]
-#List=(${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/ANT/sflx_lmdz_ANT_${year}_phy.nc,   sflx_ANT.nc         ),\
-#     (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/BBG/sflx_lmdz_BBG_${year}_phy.nc,   sflx_BBG.nc         ),\
-#     (${R_IN}/CHM/IPCC_AR6/AIRCRAFT/${RESOL_CHM}/aircraft_${year}_phy.nc           ,   aircraft_mth.nc     )
-#
-#ListNonDel= (${R_IN}/CHM/INCA${RESOL_CHM}/npp.nc		            ,   npp.nc		)\
-#            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/sflx_lmdz_GHG.nc  ,   sflx_GHG.nc     )\
-#            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/sflx_lmdz_MISC.nc ,   sflx_MISC.nc    )\
-#            (${R_IN}/CHM/IPCC_AR6/SFLX/VERS2/${RESOL_CHM}/sflx_lmdz_NAT.nc  ,   sflx_NAT.nc     )\
-#	    (${R_IN}/CHM/INCA${RESOL_CHM}/landuse.nc		            ,   landuse.nc	)\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/rhvEC.txt		            ,   rhvEC.txt	)\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/wthEC.txt		            ,   wthEC.txt	)\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/clyEC.txt		            ,   clyEC.txt	)\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/wth.dat		            ,   wth.dat		)\
-#            (${R_IN}/CHM/INCA${RESOL_CHM}/cly.dat		            ,   cly.dat		)\
-# 	    (${R_IN}/CHM/INCA${RESOL_CHM}/rhv.dat		            ,   rhv.dat		)\
-#	    (${R_IN}/CHM/INCA${RESOL_CHM}/new_phototable.dat   	            ,   phototable.dat	)
-#
-#
-#
-#[ParametersFiles]
-#List=	(${SUBMIT_DIR}/PARAM/inca.def, .),\
-#	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml, .)   ,\
-#	(${MODIPSL}/modeles/INCA/src/INCA_XML/field_def_inca.xml, .) ,\
-#	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_restart.xml, file_def_inca_restart.xml ), \
-#	(${MODIPSL}/modeles/INCA/src/INCA_XML/file_def_inca_DUSS.xml, file_def_inca.xml), \
-#    	(${MODIPSL}/bin/inca_${ResolAtm}_${OptMode}_${ConfChem}.dat, inca.dat)
-#
-
-
 	
 [BoundaryFiles]
-List=(${R_IN}/CHM/IPCC_AR6/SFLX/VERS3/144142-L79/ANT/sflx_lmdz_ANT_2000_dyn.nc	,   sflx_ANT_LR.nc 	),\
-     (${R_IN}/CHM/IPCC_AR6/SFLX/VERS3/144142-L79/BBG/sflx_lmdz_BBG_2000_dyn.nc	,   sflx_BBG_LR.nc 	),\
-     (${R_IN}/CHM/IPCC_AR6/AIRCRAFT/${RESOL_CHM}/aircraft_${year}_phy.nc           ,   aircraft_mth.nc     )
+List=( )
 
-ListNonDel= (${R_IN}/CHM/IPCC_AR6/SFLX/VERS3/144142-L79/sflx_lmdz_GHG_dyn.nc 		,   sflx_GHG_LR.nc     	),\
-	    (${R_IN}/CHM/IPCC_AR6/SFLX/VERS3/144142-L79/sflx_lmdz_NAT_dyn.nc 		,   sflx_NAT_LR.nc     	),\
-	    (${R_IN}/CHM/IPCC_AR6/SFLX/VERS3/144142-L79/sflx_lmdz_MISC_dyn.nc 		,   sflx_MISC_LR.nc    	),\
-	    (${R_IN}/CHM/FILES_LONxLAT/landuse_lmdz_dyn.nc	            		,   landuse.nc		),\
-	    (${R_IN}/CHM/FILES_LONxLAT/npp_dyn.nc		            		,   npp.nc		),\
-	    (${R_IN}/CHM/FILES_LONxLAT/dustincaEC.nc			 		,   dustEC.nc)\
-	    (${R_IN}/CHM/INCA${RESOL_CHM}/new_phototable.dat   	            ,   phototable.dat	)
+ListNonDel= (${R_IN}/CHM/FILES_LONxLAT/landuse_lmdz_dyn.nc	,   landuse.nc		),\
+	    (${R_IN}/CHM/FILES_LONxLAT/npp_dyn.nc		,   npp.nc		),\
+	    (${R_IN}/CHM/FILES_LONxLAT/dustincaEC.nc		,   dustEC.nc		)\
+	    (${R_IN}/CHM/INCA${RESOL_CHM}/new_phototable.dat	,   phototable.dat	)
 
 
@@ -86,5 +48,4 @@
 List=	(${SUBMIT_DIR}/PARAM/inca.def, .),\
 	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_inca.xml, .)   ,\
-	(${MODIPSL}/modeles/INCA/src/INCA_XML/context_sflx_inca.xml, .)   ,\
         (${MODIPSL}/modeles/INCA/src/INCA_XML/context_input_inca.xml, .)   ,\
         (${MODIPSL}/modeles/INCA/src/INCA_XML/context_dust_inca.xml, .)   ,\