Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/decadal/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/decadal/config.card	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/decadal/config.card	(revision 5973)
@@ -12,5 +12,5 @@
 #----- Short Name of Experiment
 ExperimentName=piControl
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=TEST
 LongName="IPSLCM6.2-LR"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_TEST/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_TEST/config.card	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/historical_TEST/config.card	(revision 5973)
@@ -12,5 +12,5 @@
 #----- Short Name of Experiment
 ExperimentName=historical
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=DEVT
 LongName="IPSLCM6.2-LR"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR025_TEST/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR025_TEST/config.card	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR025_TEST/config.card	(revision 5973)
@@ -12,5 +12,5 @@
 #----- Short Name of Experiment
 ExperimentName=pdControl
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=DEVT
 LongName="IPSLCM6.2-MR025"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR1_TEST/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR1_TEST/config.card	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_MR1_TEST/config.card	(revision 5973)
@@ -12,5 +12,5 @@
 #----- Short Name of Experiment
 ExperimentName=pdControl
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=DEVT
 LongName="IPSLCM6.2-MR1"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/pdControl_TEST/config.card	(revision 5973)
@@ -12,5 +12,5 @@
 #----- Short Name of Experiment
 ExperimentName=pdControl
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=DEVT
 LongName="IPSLCM6.2-LR"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_CMIP6/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_CMIP6/config.card	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_CMIP6/config.card	(revision 5973)
@@ -12,5 +12,5 @@
 #----- Short Name of Experiment
 ExperimentName=piControl
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=DEVT
 LongName="IPSLCM6.2.2"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_TEST/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_TEST/config.card	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR025_TEST/config.card	(revision 5973)
@@ -12,5 +12,5 @@
 #----- Short Name of Experiment
 ExperimentName=piControl
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=DEVT
 LongName="IPSLCM6.2-MR025"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_CMIP6/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_CMIP6/config.card	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_CMIP6/config.card	(revision 5973)
@@ -12,5 +12,5 @@
 #----- Short Name of Experiment
 ExperimentName=piControl
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=DEVT
 LongName="IPSLCM6.2.2"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_TEST/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_TEST/config.card	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_MR1_TEST/config.card	(revision 5973)
@@ -12,5 +12,5 @@
 #----- Short Name of Experiment
 ExperimentName=piControl
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=DEVT
 LongName="IPSLCM6.2-MR1"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/config.card	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLCM/piControl_TEST/config.card	(revision 5973)
@@ -12,5 +12,5 @@
 #----- Short Name of Experiment
 ExperimentName=piControl
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=DEVT
 LongName="IPSLCM6.2-LR"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/config.card	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/config.card	(revision 5973)
@@ -12,5 +12,5 @@
 #----- Short Name of Experiment
 ExperimentName=piControl
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=DEVT
 LongName="IPSLCM6.1.9-LR"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/config.card	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2/piControl_TEST/config.card	(revision 5973)
@@ -12,5 +12,5 @@
 #----- Short Name of Experiment
 ExperimentName=piControl
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=TEST
 LongName="IPSLCM6.2-LR"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/config.card	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/IPSLESM/CO2AER/piControl_CO2AER_TEST/config.card	(revision 5973)
@@ -12,5 +12,5 @@
 #----- Short Name of Experiment
 ExperimentName=piControl
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=TEST
 LongName="IPSLCM6.2-LR"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip/config.card	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/amip/config.card	(revision 5973)
@@ -10,5 +10,5 @@
 #----- Short Name of Experiment
 ExperimentName=amip
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=TEST
 LongName="LMDZOR configuration"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_pdControl/config.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/EXPERIMENTS/LMDZOR/clim_pdControl/config.card	(revision 5973)
@@ -10,5 +10,5 @@
 #----- Short Name of Experiment
 ExperimentName=clim
-#----- DEVT TEST PROD
+#----- TEST DEVT PROD
 SpaceName=TEST
 LongName="LMDZOR configuration"
Index: /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/run.def
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/run.def	(revision 5972)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.2/GENERAL/PARAM/run.def	(revision 5973)
@@ -30,5 +30,5 @@
 ## activation du filtre fft
 use_filtre_fft=y
-## niveau d impression de controle
+## niveau d impression de controle (actuellement, le mode -debug plante pour prt_level>0)
 prt_level=0
 ###