Index: CONFIG/UNIFORM/v6/LMDZREPR_v6/GENERAL/POST/monitoring01_reprobus.cfg
===================================================================
--- CONFIG/UNIFORM/v6/LMDZREPR_v6/GENERAL/POST/monitoring01_reprobus.cfg	(revision 5999)
+++ CONFIG/UNIFORM/v6/LMDZREPR_v6/GENERAL/POST/monitoring01_reprobus.cfg	(revision 6017)
@@ -34,5 +34,5 @@
 ##################################################################################################################
 
-color=AECDFF
+color=F0D5F4
 smooth=12
 FreqTS=DA
@@ -40,5 +40,79 @@
 #  field | files patterns | files additionnal | operations | title | units | calcul of area
 #-----------------------------------------------------------------------------------------------------------------
-o3_col_global    | "colo3"                       | "" | "colo3[d=1]"               | "colo3"         | "DU"     | "area[d=1]"   
+#### colo3
+colO3_global    | "colo3"                       | "" | "colo3[d=1]"               | "colo3"         | "DU"     | "area[d=1]"   
+colO3_lat_north | "colo3"                       | "" | "colo3[y=60:90@ave,x=-180:180@ave,d=1]"               | "colo3"         | "DU"     | "area[d=1]"
+colO3_lat_midn  | "colo3"                       | "" | "colo3[y=15:60@ave,x=-180:180@ave,d=1]"               | "colo3"         | "DU"     | "area[d=1]"
+colO3_lat_eq    | "colo3"                       | "" | "colo3[y=-15:15@ave,x=-180:180@ave,d=1]"              | "colo3"         | "DU"     | "area[d=1]"
+colO3_lat_mids  | "colo3"                       | "" | "colo3[y=-60:-15@ave,x=-180:180@ave,d=1]"             | "colo3"         | "DU"     | "area[d=1]"
+colO3_lat_south | "colo3"                       | "" | "colo3[y=-90:-60@ave,x=-180:180@ave,d=1]"             | "colo3"         | "DU"     | "area[d=1]"
+
+#### H2Orep
+h2orep_lat_north_150  | "H2Orep"                       | "" | "H2Orep[y=60:90@ave,x=-180:180@ave,z=15000,d=1]"            | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_north_50   | "H2Orep"                       | "" | "H2Orep[y=60:90@ave,x=-180:180@ave,z=5000,d=1]"             | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_north_10   | "H2Orep"                       | "" | "H2Orep[y=60:90@ave,x=-180:180@ave,z=1000,d=1]"             | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_north_1    | "H2Orep"                       | "" | "H2Orep[y=60:90@ave,x=-180:180@ave,z=100,d=1]"              | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_midn_150   | "H2Orep"                       | "" | "H2Orep[y=15:60@ave,x=-180:180@ave,z=15000,d=1]"           | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_midn_50    | "H2Orep"                       | "" | "H2Orep[y=15:60@ave,x=-180:180@ave,z=5000,d=1]"            | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_midn_10    | "H2Orep"                       | "" | "H2Orep[y=15:60@ave,x=-180:180@ave,z=1000,d=1]"            | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_midn_1     | "H2Orep"                       | "" | "H2Orep[y=15:60@ave,x=-180:180@ave,z=100,d=1]"             | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_eq_150    | "H2Orep"                       | "" | "H2Orep[y=-15:15@ave,x=-180:180@ave,z=15000,d=1]"          | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_eq_50     | "H2Orep"                       | "" | "H2Orep[y=-15:15@ave,x=-180:180@ave,z=5000,d=1]"           | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_eq_10     | "H2Orep"                       | "" | "H2Orep[y=-15:15@ave,x=-180:180@ave,z=1000,d=1]"           | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_eq_1      | "H2Orep"                       | "" | "H2Orep[y=-15:15@ave,x=-180:180@ave,z=100,d=1]"            | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_mids_150  | "H2Orep"                       | "" | "H2Orep[y=-60:-15@ave,x=-180:180@ave,z=15000,d=1]"         | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_mids_50   | "H2Orep"                       | "" | "H2Orep[y=-60:-15@ave,x=-180:180@ave,z=5000,d=1]"          | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_mids_10   | "H2Orep"                       | "" | "H2Orep[y=-60:-15@ave,x=-180:180@ave,z=1000,d=1]"          | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_mids_1    | "H2Orep"                       | "" | "H2Orep[y=-60:-15@ave,x=-180:180@ave,z=100,d=1]"           | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_south_150 | "H2Orep"                       | "" | "H2Orep[y=-90:-60@ave,x=-180:180@ave,z=15000,d=1]"         | "H2Orep"         | "-"     | "area[d=1]"
+h2orep_lat_south_50  | "H2Orep"                       | "" | "H2Orep[y=-90:-60@ave,x=-180:180@ave,z=5000,d=1]"          | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_south_10  | "H2Orep"                       | "" | "H2Orep[y=-90:-60@ave,x=-180:180@ave,z=1000,d=1]"          | "H2Orep"         | "-"     | "area[d=1]"
+#h2orep_lat_south_1   | "H2Orep"                       | "" | "H2Orep[y=-90:-60@ave,x=-180:180@ave,z=100,d=1]"           | "H2Orep"         | "-"     | "area[d=1]"
+
+#### O3
+o3_lat_north_150  | "O3"                       | "" | "O3[y=60:90@ave,x=-180:180@ave,z=15000,d=1]"            | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_north_50   | "O3"                       | "" | "O3[y=60:90@ave,x=-180:180@ave,z=5000,d=1]"             | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_north_10   | "O3"                       | "" | "O3[y=60:90@ave,x=-180:180@ave,z=1000,d=1]"             | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_north_1    | "O3"                       | "" | "O3[y=60:90@ave,x=-180:180@ave,z=100,d=1]"              | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_midn_150   | "O3"                       | "" | "O3[y=15:60@ave,x=-180:180@ave,z=15000,d=1]"           | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_midn_50    | "O3"                       | "" | "O3[y=15:60@ave,x=-180:180@ave,z=5000,d=1]"            | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_midn_10    | "O3"                       | "" | "O3[y=15:60@ave,x=-180:180@ave,z=1000,d=1]"            | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_midn_1     | "O3"                       | "" | "O3[y=15:60@ave,x=-180:180@ave,z=100,d=1]"             | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_eq_150    | "O3"                       | "" | "O3[y=-15:15@ave,x=-180:180@ave,z=15000,d=1]"          | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_eq_50     | "O3"                       | "" | "O3[y=-15:15@ave,x=-180:180@ave,z=5000,d=1]"           | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_eq_10     | "O3"                       | "" | "O3[y=-15:15@ave,x=-180:180@ave,z=1000,d=1]"           | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_eq_1      | "O3"                       | "" | "O3[y=-15:15@ave,x=-180:180@ave,z=100,d=1]"            | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_mids_150  | "O3"                       | "" | "O3[y=-60:-15@ave,x=-180:180@ave,z=15000,d=1]"         | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_mids_50   | "O3"                       | "" | "O3[y=-60:-15@ave,x=-180:180@ave,z=5000,d=1]"          | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_mids_10   | "O3"                       | "" | "O3[y=-60:-15@ave,x=-180:180@ave,z=1000,d=1]"          | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_mids_1    | "O3"                       | "" | "O3[y=-60:-15@ave,x=-180:180@ave,z=100,d=1]"           | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_south_150 | "O3"                       | "" | "O3[y=-90:-60@ave,x=-180:180@ave,z=15000,d=1]"         | "Ozone"         | "-"     | "area[d=1]"
+o3_lat_south_50  | "O3"                       | "" | "O3[y=-90:-60@ave,x=-180:180@ave,z=5000,d=1]"          | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_south_10  | "O3"                       | "" | "O3[y=-90:-60@ave,x=-180:180@ave,z=1000,d=1]"          | "Ozone"         | "-"     | "area[d=1]"
+#o3_lat_south_1   | "O3"                       | "" | "O3[y=-90:-60@ave,x=-180:180@ave,z=100,d=1]"           | "Ozone"         | "-"     | "area[d=1]"
+
+#### Temp
+temp_lat_north_150  | "temp"                       | "" | "temp[y=60:90@ave,x=-180:180@ave,z=15000,d=1]"            | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_north_50   | "temp"                       | "" | "temp[y=60:90@ave,x=-180:180@ave,z=5000,d=1]"             | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_north_10   | "temp"                       | "" | "temp[y=60:90@ave,x=-180:180@ave,z=1000,d=1]"             | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_north_1    | "temp"                       | "" | "temp[y=60:90@ave,x=-180:180@ave,z=100,d=1]"              | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_midn_150   | "temp"                       | "" | "temp[y=15:60@ave,x=-180:180@ave,z=15000,d=1]"           | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_midn_50    | "temp"                       | "" | "temp[y=15:60@ave,x=-180:180@ave,z=5000,d=1]"            | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_midn_10    | "temp"                       | "" | "temp[y=15:60@ave,x=-180:180@ave,z=1000,d=1]"            | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_midn_1     | "temp"                       | "" | "temp[y=15:60@ave,x=-180:180@ave,z=100,d=1]"             | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_eq_150    | "temp"                       | "" | "temp[y=-15:15@ave,x=-180:180@ave,z=15000,d=1]"          | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_eq_50     | "temp"                       | "" | "temp[y=-15:15@ave,x=-180:180@ave,z=5000,d=1]"           | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_eq_10     | "temp"                       | "" | "temp[y=-15:15@ave,x=-180:180@ave,z=1000,d=1]"           | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_eq_1      | "temp"                       | "" | "temp[y=-15:15@ave,x=-180:180@ave,z=100,d=1]"            | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_mids_150  | "temp"                       | "" | "temp[y=-60:-15@ave,x=-180:180@ave,z=15000,d=1]"         | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_mids_50   | "temp"                       | "" | "temp[y=-60:-15@ave,x=-180:180@ave,z=5000,d=1]"          | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_mids_10   | "temp"                       | "" | "temp[y=-60:-15@ave,x=-180:180@ave,z=1000,d=1]"          | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_mids_1    | "temp"                       | "" | "temp[y=-60:-15@ave,x=-180:180@ave,z=100,d=1]"           | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_south_150 | "temp"                       | "" | "temp[y=-90:-60@ave,x=-180:180@ave,z=15000,d=1]"         | "Temperature"         | "-"     | "area[d=1]"
+temp_lat_south_50  | "temp"                       | "" | "temp[y=-90:-60@ave,x=-180:180@ave,z=5000,d=1]"          | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_south_10  | "temp"                       | "" | "temp[y=-90:-60@ave,x=-180:180@ave,z=1000,d=1]"          | "Temperature"         | "-"     | "area[d=1]"
+#temp_lat_south_1   | "temp"                       | "" | "temp[y=-90:-60@ave,x=-180:180@ave,z=100,d=1]"           | "Temperature"         | "-"     | "area[d=1]"
+
+
 #-----------------------------------------------------------------------------------------------------------------
 