Index: CONFIG_DEVT/IPSLCM6.5_work_ENSEMBLES/modeles/NEMO/cfgs/SHARED/field_def_nemo-ice.xml
===================================================================
--- CONFIG_DEVT/IPSLCM6.5_work_ENSEMBLES/modeles/NEMO/cfgs/SHARED/field_def_nemo-ice.xml	(revision 5501)
+++ CONFIG_DEVT/IPSLCM6.5_work_ENSEMBLES/modeles/NEMO/cfgs/SHARED/field_def_nemo-ice.xml	(revision 6031)
@@ -62,5 +62,5 @@
 	  
 	  <!-- salt -->
-          <field id="icesalt"      long_name="Sea ice salinity"                                                                                                  unit="g/kg"  detect_missing_value="true" />
+          <field id="icesalt"      long_name="Sea ice salinity"                         enabled=".FALSE."                                                                         unit="g/kg"  detect_missing_value="true" />
           <field id="icesalm"      long_name="Mass of salt in sea ice per area"                        standard_name="sea_ice_salt_mass"                         unit="kg/m2" />
 	  
@@ -75,7 +75,10 @@
           <field id="utau_bi"      long_name="X-component of ocean bottom stress on sea ice -landfast" standard_name="ocean_bottom_upward_x_stress"              unit="N/m2" />
           <field id="vtau_bi"      long_name="Y-component of ocean bottom stress on sea ice -landfast" standard_name="ocean_bottom_upward_y_stress"              unit="N/m2" />
-          <field id="isig1"        long_name="1st principal stress component for EVP rhg"                                                                        unit=""     />
+          <!-- the fields isig1 isig2 isig3 are obsolete -->
+	  <field id="isig1"        long_name="1st principal stress component for EVP rhg"                                                                        unit=""     />
           <field id="isig2"        long_name="2nd principal stress component for EVP rhg"                                                                        unit=""     />
           <field id="isig3"        long_name="convergence measure for EVP rheology (must be around 1)"                                                           unit=""     />
+          <field id="sig1_pnorm"   long_name="P-normalized 1st principal stress component"                                                                       unit=""     />
+          <field id="sig2_pnorm"   long_name="P-normalized 2nd principal stress component"                                                                       unit=""     />
           <field id="normstr"      long_name="Average normal stress in sea ice"                        standard_name="average_normal_stress"                     unit="N/m"  />
           <field id="sheastr"      long_name="Maximum shear stress in sea ice"                         standard_name="maximum_shear_stress"                      unit="N/m"  />
@@ -186,5 +189,5 @@
           <field id="iceconc_pct"  long_name="Sea-ice area fraction in percent"                        standard_name="sea_ice_area_fraction_in_percent"                                    unit="%"      > iceconc * 100.                                  </field>
           <field id="iceage_cmip"  long_name="Age of sea ice"                                          standard_name="age_of_sea_ice"                          detect_missing_value="true" unit="days"   > iceage  * icemask15 + $missval * (1.-icemask15) </field>
-          <field id="icesalt_cmip" long_name="Sea ice salinity"                                        standard_name="sea_ice_salinity"                        detect_missing_value="true" unit="g/kg"   > icesalt * icemask   + $missval * (1.-icemask  ) </field>
+          <field id="icesalt_cmip" long_name="Sea ice salinity"                enabled=".FALSE."                        standard_name="sea_ice_salinity"                        detect_missing_value="true" unit="g/kg"   > icesalt * icemask   + $missval * (1.-icemask  ) </field>
           <field id="icefrb_cmip"  long_name="Sea-ice freeboard"                                       standard_name="sea_ice_freeboard"                       detect_missing_value="true" unit="m"      > icefrb  * icemask   + $missval * (1.-icemask  ) </field>
 
@@ -315,5 +318,5 @@
 	
 	<!-- scalar variables -->
-	<field_group id="SBC_scalar"  grid_ref="grid_scalar" >
+	<field_group id="SBC_scalar"  grid_ref="grid_scalar" enabled=".FALSE."  >
           <field id="NH_iceextt"      long_name="Sea ice extent North"                   standard_name="sea_ice_extent_n"                   unit="1e6_km2"  />
           <field id="SH_iceextt"      long_name="Sea ice extent South"                   standard_name="sea_ice_extent_s"                   unit="1e6_km2"  />
@@ -368,5 +371,5 @@
 	  <field field_ref="icevolu"          name="sivolu" />
 	  <field field_ref="iceconc"          name="siconc" />
-	  <field field_ref="icesalt"          name="sisali" />
+	  <field field_ref="icesalt"  enabled=".FALSE."        name="sisali" />
 	  <field field_ref="iceapnd"          name="siapnd" />
 	  <field field_ref="icehpnd"          name="sihpnd" />
@@ -398,7 +401,4 @@
 	  <field field_ref="normstr"          name="normstr" />
 	  <field field_ref="sheastr"          name="sheastr" />
-	  <field field_ref="isig1"            name="isig1"   />
-	  <field field_ref="isig2"            name="isig2"   />
-	  <field field_ref="isig3"            name="isig3"   />
 	  
 	  <!-- heat fluxes -->
@@ -478,5 +478,5 @@
 	</field_group>    
 
-	<field_group id="ICE_globalbudget"  grid_ref="grid_scalar" >
+	<field_group id="ICE_globalbudget"  grid_ref="grid_scalar" enabled=".FALSE."  >
 	  <!-- global contents -->
     	  <field field_ref="ibgvol_tot"       name="ibgvol_tot"   />
@@ -510,5 +510,5 @@
 
 	<!-- SIMIP monthly scalar variables -->
-	<field_group id="SImon_scalars"   grid_ref="grid_scalar" >
+	<field_group id="SImon_scalars"   grid_ref="grid_scalar" enabled=".FALSE."  >
           <!-- Integrated quantities -->
           <field field_ref="NH_iceextt"       name="siextentn"    />
@@ -549,5 +549,5 @@
           <field field_ref="iceage_cmip"      name="siage"        />
           <field field_ref="icesalm"          name="sisaltmass"   />
-          <field field_ref="icesalt_cmip"     name="sisali"       />
+          <field field_ref="icesalt_cmip"  enabled=".FALSE."   name="sisali"       />
           <field field_ref="icefrb_cmip"      name="sifb"         />
           <field field_ref="icehc_cmip"       name="sihc"         />