Index: /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/dynamico.card
===================================================================
--- /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/dynamico.card	(revision 6051)
+++ /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/EXPERIMENTS/ICOLMDZORINCA/GES/COMP/dynamico.card	(revision 6052)
@@ -13,4 +13,5 @@
 iflag_phys=1
 
+ok_guide=n
 
 [InitialStateFiles]
@@ -19,4 +20,8 @@
 [BoundaryFiles]
 List=()
+
+#List=($CCCSTOREDIR/../../subipsl/subipsl/ERA5/NETCDF/GLOBAL_025/4xdaily/AN_PL/${year}/u.${year}${month}.aphe5.GLOBAL_025.nc, u.nc),\
+#     ($CCCSTOREDIR/../../subipsl/subipsl/ERA5/NETCDF/GLOBAL_025/4xdaily/AN_PL/${year}/v.${year}${month}.aphe5.GLOBAL_025.nc, v.nc)
+
 ListNonDel= ()
 
@@ -29,8 +34,16 @@
    	(${SUBMIT_DIR}/PARAM/run_dynamico.def_nbp${RESOL_NBP}, run_dynamico.def),\
    	(${SUBMIT_DIR}/PARAM/iodef.xml, .),\
-   	(${MODIPSL}/modeles/DYNAMICO/XML/context_dynamico.xml, .),\
-   	(${MODIPSL}/modeles/DYNAMICO/XML/context_input_dynamico.xml, .),\
-   	(${MODIPSL}/modeles/DYNAMICO/XML/field_def_dynamico.xml, .),\
+   	(${SUBMIT_DIR}/PARAM/context_dynamico.xml, .),\
+   	(${MODIPSL}/modeles/DYNAMICO/xml/context_input_dynamico.xml, .),\
+   	(${MODIPSL}/modeles/DYNAMICO/xml/field_def_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/file_def_dynamico.xml, .)
+#   	(${SUBMIT_DIR}/PARAM/nudging_dynamico.xml, .),\
+
+
+
+#   	(${MODIPSL}/modeles/DYNAMICO/xml/context_dynamico.xml, .),\
+#   	(${MODIPSL}/modeles/DYNAMICO/xml/context_input_dynamico.xml, .),\
+#   	(${MODIPSL}/modeles/DYNAMICO/xml/field_def_dynamico.xml, .),\
+#   	(${MODIPSL}/modeles/DYNAMICO/xml/file_def_dynamico.xml, .)
 
 
Index: /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/DRIVER/dynamico.driver
===================================================================
--- /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/DRIVER/dynamico.driver	(revision 6051)
+++ /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/DRIVER/dynamico.driver	(revision 6052)
@@ -32,4 +32,9 @@
 
 
+    if [ ! -f ${SUBMIT_DIR}/../../../DYNAMICO/xml/file_def_dynamico.xml ];  then 
+	module load python3
+	python3 ${SUBMIT_DIR}/../../../DYNAMICO/xml/file_def_dynamico.xml.py > ${SUBMIT_DIR}/../../../DYNAMICO/xml/file_def_dynamico.xml
+    fi
+
     IGCM_debug_PopStack "ICO_Initialize"
 }
@@ -54,4 +59,11 @@
     # Set lenght for execution 
     IGCM_comp_modifyDefFile blocker run_dynamico.def run_length $(( ${PeriodLengthInDays} * 86400 ))
+
+    #  Activate nudging if ok_guide=y set in dynamico.card
+    if [  X${dynamico_UserChoices_ok_guide} = Xy ] ; then
+	IGCM_comp_modifyDefFile nonblocker run_dynamico.def guided_type  nudging
+    else
+	IGCM_comp_modifyDefFile nonblocker run_dynamico.def guided_type  none
+    fi
 
     # Change run_dynamico.def according to UserChoices options set in dynmaico.card
@@ -109,4 +121,8 @@
     fi
 
+    if [ -f nudging_dynamico.xml ] ; then
+	echo '<context id="icosagcm" src="./nudging_dynamico.xml" />'  >> add.tmp
+    fi
+
     if [ -f file_def_dynamico.xml ] ; then
 	echo '<context id="icosagcm" src="./file_def_dynamico.xml" />' >> add.tmp
@@ -137,4 +153,15 @@
       rm add.tmp
     fi
+
+    #remove unlimited time axis 
+    if [ -f u.nc ] ; then 
+	nccopy -u u.nc tmp.nc
+	mv tmp.nc u.nc
+    fi 
+    if [ -f v.nc ] ; then 
+	nccopy -u v.nc tmp.nc
+	mv tmp.nc v.nc
+    fi 
+
 
     if [ X${config_ListOfComponents_CPL} = Xoasis ] ; then
Index: /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/PARAM/context_dynamico.xml
===================================================================
--- /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/PARAM/context_dynamico.xml	(revision 6052)
+++ /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/PARAM/context_dynamico.xml	(revision 6052)
@@ -0,0 +1,396 @@
+<!-- =========================================================================================================== -->
+<!-- DYNAMICO context                                                                                            -->
+<!-- context_dynamico.xml : Configuration file for DYNAMICO for reading and writing  files using XIOS            -->
+<!--                                                                                                             -->
+<!-- =========================================================================================================== -->
+
+<context id="icosagcm" >
+  <calendar type="d360" start_date="2000-01-01 00:00:00" time_origin="2000-01-01 00:00:00"/>
+  
+  <!-- =========================================================================================================== -->
+  <!-- Definition of all existing variables in field_def_dynamico.xml                                              -->
+  <!-- =========================================================================================================== -->
+  <field_definition src="./field_def_dynamico.xml" />
+
+
+  <!-- =========================================================================================================== -->
+  <!-- Definition of restart files and other input files                                                           -->
+  <!-- =========================================================================================================== -->
+  <file_definition type="one_file" par_access="collective">
+
+    <file id="output" name="output" enabled=".FALSE."  output_freq="2h" sync_freq="2h" output_level="10" >
+      <field_group group_ref="standard_output"/>
+    </file>
+
+  <!-- =========================================================================================================== -->
+  <!-- Writing restart file                                                                                         -->
+  <!-- =========================================================================================================== -->
+
+    <file id="restart"  enabled="true">
+       <field_group id="group_restart" operation="once"> 
+          <field id="it_restart" name="iteration"  grid_ref="scalar" />
+          <field id="q_restart" name="q"  grid_ref="grid_q" prec="8"/>
+     
+          <field_group domain_ref="i" prec="8"> 
+             <field id="xcell_restart" name="xcell" />
+             <field id="ycell_restart" name="ycell" />
+             <field id="zcell_restart" name="zcell" />
+             <field id="ps_restart" name="ps" />
+             <field id="phis_restart" name="phis" />
+             <field_group axis_ref="lev" >
+                <field id="theta_rhodz_restart" name="theta_rhodz" />
+                <field id="u_restart" name="u" domain_ref="u"/>
+                <field id="ulon_restart" name="ulon" />
+                <field id="ulat_restart" name="ulat" />
+                <field id="p_restart" name="p" />
+               
+                <field_group id="tracers_restart">
+                  <!-- tracers will be add atomatically here-->
+                </field_group>
+             
+             </field_group>
+
+             <field_group axis_ref="levp1" >
+               <field id="geopot_restart" name="geopot" />
+               <field id="W_restart" name="W" />
+             </field_group>
+
+          </field_group>
+       </field_group>
+    </file>
+
+   <!-- =========================================================================================================== -->
+   <!-- Writing initial state file (when not previously read from start file)                                       -->
+   <!-- =========================================================================================================== -->
+  
+   <file id="start0"  mode="write" enabled="false">
+       <field_group id="group_start0" operation="once"> 
+          <field id="it_start0" name="iteration"  grid_ref="scalar" />
+          <field id="q_start0" name="q"  grid_ref="grid_q" prec="8"/>
+     
+          <field_group domain_ref="i" prec="8"> 
+             <field id="xcell_start0" name="xcell" />
+             <field id="ycell_start0" name="ycell" />
+             <field id="zcell_start0" name="zcell" />
+             <field id="ps_start0" name="ps" />
+             <field id="phis_start0" name="phis" />
+             <field_group axis_ref="lev" >
+                <field id="theta_rhodz_start0" name="theta_rhodz" />
+                <field id="u_start0" name="u" domain_ref="u"/>
+                <field id="ulon_start0" name="ulon" />
+                <field id="ulat_start0" name="ulat" />
+                <field id="p_start0" name="p" />
+               
+                <field_group id="tracers_start0">
+                  <!-- tracers will be add atomatically here-->
+                </field_group>
+                          
+             </field_group>
+          </field_group>
+       </field_group>
+    </file>
+
+   <!-- =========================================================================================================== -->
+   <!-- reading start file                                                                                          -->
+   <!-- =========================================================================================================== -->
+
+    <file id="start" enabled="false" mode="read">
+       <field_group id="group_start" operation="once"> 
+          <field id="it_start" name="iteration"  grid_ref="scalar" />
+          <field_group domain_ref="i" prec="8"> 
+	    
+            <field id="xcell_start" name="xcell" />
+            <field id="ycell_start" name="ycell" />
+            <field id="zcell_start" name="zcell" />
+            <field id="ps_start" name="ps" />
+            <field id="phis_start" name="phis" />
+	    
+            <field_group axis_ref="lev" >
+              <field id="theta_rhodz_start" name="theta_rhodz" />
+              <field id="u_start" name="u" domain_ref="u"/>
+              <field id="ulon_start" name="ulon" />
+              <field id="ulat_start" name="ulat" />
+	      
+              <field_group id="tracers_start">
+                <!-- tracers will be add atomatically here-->
+              </field_group>
+	    </field_group>
+
+	    <field_group axis_ref="levp1" enabled="false">
+              <field id="geopot_start" name="geopot" />
+              <field id="W_start" name="W" />
+            </field_group>
+	    
+          </field_group>
+          <field id="q_start" name="q"  grid_ref="grid_q" prec="8"/>
+       </field_group>
+    </file>
+    
+   <!-- =========================================================================================================== -->
+   <!-- reading start file and perform interpolation (restarting from a different resolution)                       -->
+   <!-- =========================================================================================================== -->
+
+    <file id="start_interp" enabled="false" mode="read">
+       <field_group operation="once"> 
+          <field id="it_start_interp" name="iteration"  grid_ref="scalar" />
+          <field_group domain_ref="i_start_interp_read" prec="8"> 
+             <field id="ps_start_interp_read" name="ps" />
+             <field id="phis_start_interp_read" name="phis" />
+             <field_group axis_ref="lev_start_interp_read" >
+                <field id="theta_rhodz_start_interp_read" name="theta_rhodz" />
+                <field id="ulon_start_interp_read" name="ulon" />
+                <field id="ulat_start_interp_read" name="ulat" />
+                <field id="p_start_interp_read" name="p" />
+
+                <field_group id="tracers_start_interp_read">
+                  <!-- tracers will be add atomatically here-->
+                </field_group>
+
+             </field_group>
+          </field_group>
+       </field_group>
+    </file>
+
+  </file_definition>
+  
+  <field_definition>
+    <field_group id="start_interp">
+      <field_group domain_ref="i_start_interp" >
+         <field id="ps_start_interp" field_ref="ps_start_interp_read" />
+         <field id="phis_start_interp" field_ref="phis_start_interp_read" />
+
+         <field id="p_start_interp_horiz" field_ref="p_start_interp_read" axis_ref="lev_start_interp_read"/>
+       
+          <field_group axis_ref="lev_start_interp" >
+             <field id="theta_rhodz_start_interp" field_ref="theta_rhodz_start_interp_read"  />
+             <field id="ulon_start_interp" field_ref="ulon_start_interp_read" />
+             <field id="ulat_start_interp" field_ref="ulat_start_interp_read" />
+ 
+             <field_group id="tracers_start_interp">
+               <!-- tracers will be add atomatically here-->
+             </field_group>
+          </field_group>
+
+       </field_group>
+    </field_group>
+
+    <field id="p_start_interp" domain_ref="i" axis_ref="lev" />
+    
+  </field_definition>  
+
+  <domain_definition>
+    <domain id="i_start_interp_read" type="unstructured" >
+      <generate_rectilinear_domain/>
+    </domain>
+
+    <domain id="i_start_interp" domain_ref="i">
+      <interpolate_domain order="1" />
+    </domain>
+
+  </domain_definition>
+  
+  <axis_definition>
+    <axis id="lev_start_interp_read" />
+    <axis id="lev_start_interp"      axis_ref="lev">
+      <interpolate_axis order="1" coordinate_src="p_start_interp_horiz" coordinate_dst="p_start_interp" extrapolate="true"/>
+    </axis>
+  </axis_definition>
+  
+  
+<!-- ========================================================================================================================= -->
+<!-- Pressure is automatically resent at initialization to XIOS workflow to optionnaly do an interpolation in pressure level   --> 
+<!-- And reinject tracer in the initial state                                                                                  --> 
+<!-- ========================================================================================================================= -->
+
+  <field_definition>
+    <field id="p_init0" domain_ref="i" axis_ref="lev"/>
+    <field id="ps_init0" domain_ref="i" />
+  </field_definition>
+     
+
+
+
+  <!-- =========================================================================================================== -->
+  <!-- read field from file for etat0_database                                                                                  -->
+  <!-- =========================================================================================================== -->
+  <field_definition>
+
+     <field_group id="read_fields" enabled="false" operation="instant">
+      
+        <field id="relief_db" field_ref="relief_reg" domain_ref="from_relief" read_access="true"  />
+        <field_group domain_ref="from_ecdyn" read_access="true" >
+           <field id="ps_db" field_ref="ps_reg" />
+           <field id="z_db"  field_ref="z_reg"  />
+           <field id="ts_db" field_ref="ts_reg" />
+           <field_group axis_ref="lev_ecdyn" >
+              <field id="u_db" field_ref="u_reg"  />
+              <field id="v_db" field_ref="v_reg"   />
+              <field id="temp_db" field_ref="temp_reg" />
+              <field id="q_db"    field_ref="q_reg"    />
+           </field_group>
+        </field_group>
+    
+     </field_group>
+
+  </field_definition> 
+
+
+
+  <file_definition>    
+    <file_group id="read_files" enabled="false" >
+
+<!--
+       <file id="relief" name="Relief" type="one_file" mode="read" output_freq="10ts">
+           <field id="relief_reg" name="RELIEF" domain_ref="domain_relief" operation="instant" />
+       </file>
+-->
+
+<!--      
+       <file id="ECDYN"  name="ECDYN" type="one_file" mode="read" output_freq="10ts">
+          <field_group domain_ref="domain_ecdyn" operation="instant">
+             <field id="ps_reg"   name="SP"      />
+             <field id="z_reg"    name="Z"       />
+             <field id="ts_reg"   name="ST"      />
+             <field_group axis_ref="lev_ecdyn"   >
+                <field id="u_reg"    name="U"     />
+                <field id="v_reg"    name="V"     />
+                <field id="temp_reg" name="TEMP"  />
+                <field id="q_reg"    name="R"     />
+             </field_group>
+          </field_group>
+       </file>
+-->
+
+       <file id="relief" name="ERA5_062000" type="one_file" mode="read" output_freq="1000y" time_counter_name="time">
+           <field id="relief_reg" name="z" domain_ref="domain_relief" operation="once"> this/9.81 </field>
+       </file>
+
+       <file id="ERA5_start"  name="ERA5_062000" type="one_file" mode="read" output_freq="1000y" time_counter_name="time">
+          <field_group domain_ref="domain_ecdyn" operation="once">
+             <field id="ps_reg"     name="sp"    />
+             <field id="z_reg"      name="z"     />
+             <field id="ts_reg"     name="t2m"   />
+             <field_group axis_ref="lev_ecdyn"  >
+                <field id="u_reg"    name="u" />
+                <field id="v_reg"    name="v" />
+                <field id="temp_reg" name="t" />
+                <field id="q_reg"    name="r" />
+             </field_group>
+          </field_group>
+       </file>
+    
+    </file_group>    
+  </file_definition>
+    
+
+  <!-- =========================================================================================================== -->
+  <!-- Axis definitions                                                                                            -->
+  <!-- =========================================================================================================== -->
+  <axis_definition prec="8">
+    <axis id="lev"      name="lev"                positive="down" standard_name="atmopshere_hybrid_sigma_pressure_coordinate"  long_name="hybrid level at midpoints" axis_type="Z"/>
+    <axis id="levp1"    name="ilev"  unit="level" positive="down" standard_name="atmopshere_hybride_sigma_pressure_coordinate" long_name="hybrid level at interface" axis_type="Z" />
+    <axis id="nq"       name="nq" />
+    <axis id="nq_start" name="nq" />
+    <axis id="lev_ecdyn" />
+
+
+    <axis id="lev_pressure" positive="down"  n_glo="2" unit="Pa" value="(0,1)[85000 50000]" >
+      <interpolate_axis order="1" coordinate="p" />
+    </axis>
+
+    <axis id="presnivs_mb" > 
+      <interpolate_axis order="1" /> 
+    </axis>
+  </axis_definition>
+
+  <!-- =========================================================================================================== -->
+  <!-- Domain definitions                                                                                          -->
+  <!-- =========================================================================================================== -->
+  <domain_definition prec="8">
+
+    <domain_group id="i"> 
+      <domain id="i" name="mesh"/>     
+
+      <domain id="from_relief" >
+        <interpolate_domain/>
+      </domain>
+      
+      <domain id="from_ecdyn" >
+        <interpolate_domain/>
+      </domain>
+    </domain_group> 
+
+    <domain id="v" />
+    <domain id="u" />
+     
+    <domain id="regular_half_degree" type="rectilinear" ni_glo="720" nj_glo="360" >
+      <generate_rectilinear_domain />
+      <interpolate_domain order="1"/>
+    </domain> 
+    
+    <domain id="regular_one_degree" type="rectilinear" ni_glo="360" nj_glo="180" >
+      <generate_rectilinear_domain />
+      <interpolate_domain order="1"/>
+    </domain> 
+    
+    <domain id="regular_two_degree" type="rectilinear" ni_glo="180" nj_glo="90" >
+      <generate_rectilinear_domain />
+      <interpolate_domain order="1"/>
+    </domain> 
+    
+    <domain id="domain_relief" type="rectilinear" >
+      <generate_rectilinear_domain />
+    </domain>
+    
+    <domain id="domain_ecdyn" type="rectilinear" >
+      <generate_rectilinear_domain />
+    </domain>
+    
+  </domain_definition>    
+  
+  <scalar_definition>
+     <scalar id="scalar" />
+  </scalar_definition>   
+
+  <!-- =========================================================================================================== -->
+  <!-- Grid definitions                                                                                            -->
+  <!-- =========================================================================================================== -->
+  <grid_definition>    
+    <grid id="scalar">
+      <scalar />
+    </grid>
+    
+    <grid id="grid_q">
+      <domain domain_ref="i" />
+      <axis axis_ref="lev" />
+      <axis axis_ref="nq" />
+    </grid>
+
+    <grid id="grid_q_start">
+      <domain domain_ref="i" />
+      <axis axis_ref="lev" />
+      <axis axis_ref="nq_start" />
+    </grid>
+
+    <grid id="grid_q_regular_two_degree">
+      <domain domain_ref="regular_two_degree" />
+      <axis axis_ref="lev" />
+      <axis axis_ref="nq" />
+    </grid>
+
+    <grid id="grid_q_regular_one_degree">
+      <domain domain_ref="regular_one_degree" />
+      <axis axis_ref="lev" />
+      <axis axis_ref="nq" />
+    </grid>
+
+    <grid id="grid_q_regular_alf_degree">
+      <domain domain_ref="regular_half_degree" />
+      <axis axis_ref="lev" />
+      <axis axis_ref="nq" />
+    </grid>
+
+
+  </grid_definition>   
+
+</context>
Index: /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/PARAM/nudging_dynamico.xml
===================================================================
--- /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/PARAM/nudging_dynamico.xml	(revision 6052)
+++ /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/PARAM/nudging_dynamico.xml	(revision 6052)
@@ -0,0 +1,207 @@
+<!-- =========================================================================================================== -->
+<!-- nudging_dynamico.xml                                                                                           -->
+<!-- Definition of nudging input/output                                          -->
+<!-- =========================================================================================================== -->
+<context id="icosagcm" >
+
+  <file_definition>
+     
+    <file_group id="nudging_files" enabled="false">  <!-- enabled will be set from model in nudging case --> 
+    
+       <file id="nudging_out" enabled="false" output_freq="1h" sync_freq="1ts" output_level="10" > 
+          <field_group freq_offset="0ts" scale_factor="_reset_" add_offset="_reset_">
+            <field field_ref="ulon_nudged" scale_factor="_reset_" add_offset="_reset_"/>
+            <field field_ref="ulat_nudged" scale_factor="_reset_" add_offset="_reset_"/>
+            <field field_ref="temp_nudged"  scale_factor="_reset_" add_offset="_reset_"/>
+            <field field_ref="ps_nudged" scale_factor="_reset_" add_offset="_reset_"/>
+          </field_group>
+        </file>
+
+       <file id="nudging_test" enabled="false" output_freq="1ts" sync_freq="1ts" output_level="10" > 
+          <field id="coeff_i" domain_ref="i" operation="instant" enabled="true" prec="8"/>
+          <field id="ps_nudged_out" domain_ref="i" operation="instant" enabled="true" prec="8"/>
+          <field id="temp_nudged_out" domain_ref="i" axis_ref="lev" operation="instant" enabled="true" prec="8" />
+       </file>
+
+
+       <file id="nudging_in" name="ERA5" enabled="false" output_freq="1h" mode="read" record_offset="1" time_counter_name="time">
+         <field_group   operation="instant" freq_offset="1ts" >
+            <field id="ps_nudged_read"     name="sp"     domain_ref="domain_nudged" />
+<!--
+            <field id="ulon_nudged_read"   name="u"      domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="ulat_nudged_read"   name="v"      domain_ref="domain_nudged" axis_ref="axis_nudged" />
+-->
+            <field id="temp_nudged_read"   name="t"      domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="H2O-g_nudged_read"   name="q"     domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="H2O-l_nudged_read"   name="clwc"  domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="H2O-s_nudged_read"   name="ciwc"  domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="q_nudged_read"      name="q"    grid_ref="grid_q_nudged" enabled="false"/>
+         </field_group>
+       </file>
+
+       <file id="nudging_in0" name="ERA5" enabled="false" output_freq="1000y" mode="read" record_offset="0" time_counter_name="time">
+         <field_group   operation="once" freq_offset="1ts" >
+            <field id="ps_nudged_read0"     name="sp"      domain_ref="domain_nudged" />
+<!--
+            <field id="ulon_nudged_read0"   name="u"       domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="ulat_nudged_read0"   name="v"       domain_ref="domain_nudged" axis_ref="axis_nudged" />
+-->
+            <field id="temp_nudged_read0"   name="t"       domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="H2O-g_nudged_read0"   name="q"      domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="H2O-l_nudged_read0"   name="clwc"   domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="H2O-s_nudged_read0"   name="ciwc"   domain_ref="domain_nudged" axis_ref="axis_nudged" />
+            <field id="q_nudged_read0"      name="q"    grid_ref="grid_q_nudged" enabled="false"/>
+         </field_group>
+      </file>
+
+
+     <file id="nudgingU_in" name="u" enabled="true" output_freq="6h" cyclic="true" time_counter_name="time" mode="read" record_offset="1">
+       <field_group   operation="instant" freq_offset="1ts" >
+          <field id="ulon_nudged_read"   name="u" domain_ref="domain_nudged" axis_ref="axis_nudged" />
+       </field_group>
+     </file>
+
+     <file id="nudgingV_in" name="v" enabled="true" output_freq="6h" mode="read" cyclic="true" time_counter_name="time" record_offset="1">
+       <field_group   operation="instant" freq_offset="1ts" >
+          <field id="ulat_nudged_read"   name="v" domain_ref="domain_nudged" axis_ref="axis_nudged" />
+       </field_group>
+     </file>
+
+
+     <file id="nudgingU_in0" name="u" enabled="true" output_freq="1000y" mode="read" time_counter_name="time" record_offset="0">
+       <field_group   operation="once" freq_offset="1ts" >
+          <field id="ulon_nudged_read0"   name="u" domain_ref="domain_nudged" axis_ref="axis_nudged" />
+       </field_group>
+     </file>
+
+
+     <file id="nudgingV_in0" name="v" enabled="true" output_freq="1000y" mode="read" time_counter_name="time" record_offset="0">
+       <field_group   operation="once" freq_offset="1ts" >
+          <field id="ulat_nudged_read0"   name="v" domain_ref="domain_nudged" axis_ref="axis_nudged" />
+       </field_group>
+     </file>
+
+   
+     </file_group>
+   
+   </file_definition>
+
+
+
+   <field_definition>
+
+      <field id="temp_nudged_horiz_interp" field_ref="temp_nudged_read"  domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="ulon_nudged_horiz_interp" field_ref="ulon_nudged_read"  domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="ulat_nudged_horiz_interp" field_ref="ulat_nudged_read"  domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="q_nudged_horiz_interp"    field_ref="q_nudged_read"     grid_ref="grid_q_from_nudged_horiz_interp"/>
+      <field id="H2O-g_nudged_horiz_interp"    field_ref="H2O-g_nudged_read"     domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="H2O-l_nudged_horiz_interp"    field_ref="H2O-l_nudged_read"     domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="H2O-s_nudged_horiz_interp"    field_ref="H2O-s_nudged_read"     domain_ref="from_nudged" axis_ref="axis_nudged"/>
+
+      <field_group id="nudging_fields" read_access="false"> <!-- read_access will be set from model  -->
+         <field id="ps_nudged"    field_ref="ps_nudged_read" domain_ref="from_nudged"/>
+
+         <field id="p_nudged_horiz_interp" field_ref="p_nudged_read" domain_ref="from_nudged" axis_ref="axis_nudged" read_access="false" /> <!-- read_access will be set from model  -->
+
+         <field id="temp_nudged"  field_ref="temp_nudged_horiz_interp"  domain_ref="from_nudged" axis_ref="from_nudged"/>
+         <field id="ulon_nudged"  field_ref="ulon_nudged_horiz_interp"  domain_ref="from_nudged" axis_ref="from_nudged"/>
+         <field id="ulat_nudged"  field_ref="ulat_nudged_horiz_interp"  domain_ref="from_nudged" axis_ref="from_nudged"/>
+         <field id="ulat_nudged"  field_ref="ulat_nudged_horiz_interp"  domain_ref="from_nudged" axis_ref="from_nudged"/>
+         <field id="H2O-g_nudged" field_ref="H2O-g_nudged_horiz_interp" domain_ref="from_nudged" axis_ref="from_nudged"/>
+         <field id="H2O-l_nudged" field_ref="H2O-l_nudged_horiz_interp" domain_ref="from_nudged" axis_ref="from_nudged"/>
+         <field id="H2O-s_nudged" field_ref="H2O-s_nudged_horiz_interp" domain_ref="from_nudged" axis_ref="from_nudged"/>
+         <field id="q_nudged"    field_ref="q_nudged_horiz_interp"     grid_ref="grid_q_from_nudged"/>
+      </field_group>
+
+      <field id="p_nudged"  domain_ref="i" axis_ref="lev" /> <!--sent from model-->    
+ 
+ 
+      <field id="temp_nudged_horiz_interp0" field_ref="temp_nudged_read0"  domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="ulon_nudged_horiz_interp0" field_ref="ulon_nudged_read0"  domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="ulat_nudged_horiz_interp0" field_ref="ulat_nudged_read0"  domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="q_nudged_horiz_interp0"    field_ref="q_nudged_read0"     grid_ref="grid_q_from_nudged_horiz_interp"/>
+      <field id="H2O-g_nudged_horiz_interp0"    field_ref="H2O-g_nudged_read0"     domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="H2O-l_nudged_horiz_interp0"    field_ref="H2O-l_nudged_read0"     domain_ref="from_nudged" axis_ref="axis_nudged"/>
+      <field id="H2O-s_nudged_horiz_interp0"    field_ref="H2O-s_nudged_read0"     domain_ref="from_nudged" axis_ref="axis_nudged"/>
+
+      <field_group id="nudging_fields0" read_access="false"> <!-- read_access will be set from model  -->
+         <field id="ps_nudged0"    field_ref="ps_nudged_read0" domain_ref="from_nudged"/>
+
+         <field id="p_nudged_horiz_interp0" field_ref="p_nudged_read0" domain_ref="from_nudged" axis_ref="axis_nudged" read_access="false"/> <!-- read_access will be set from model  -->
+       
+         <field id="temp_nudged0" field_ref="temp_nudged_horiz_interp0"  domain_ref="from_nudged" axis_ref="from_nudged0"/>
+         <field id="ulon_nudged0" field_ref="ulon_nudged_horiz_interp0"  domain_ref="from_nudged" axis_ref="from_nudged0"/>
+         <field id="ulat_nudged0" field_ref="ulat_nudged_horiz_interp0"  domain_ref="from_nudged" axis_ref="from_nudged0"/>
+         <field id="q_nudged0"    field_ref="q_nudged_horiz_interp0"     grid_ref="grid_q_from_nudged0"/>
+         <field id="H2O-g_nudged0" field_ref="H2O-g_nudged_horiz_interp0" domain_ref="from_nudged" axis_ref="from_nudged0"/>
+         <field id="H2O-l_nudged0" field_ref="H2O-l_nudged_horiz_interp0" domain_ref="from_nudged" axis_ref="from_nudged0"/>
+         <field id="H2O-s_nudged0" field_ref="H2O-s_nudged_horiz_interp0" domain_ref="from_nudged" axis_ref="from_nudged0"/>
+      </field_group>
+
+      <field id="p_nudged0"  domain_ref="i" axis_ref="lev" /> <!--sent from model-->    
+ 
+ 
+  </field_definition>  
+
+
+
+   
+   <domain_definition>
+     <domain id="domain_nudged" type="rectilinear">
+       <generate_rectilinear_domain/>
+     </domain>
+     
+    <domain id="from_nudged" domain_ref="i">
+       <interpolate_domain order="2" />
+    </domain>
+
+   </domain_definition>
+   
+   <axis_definition>
+     <axis id="axis_nudged" name="level" axis_type="Z" convert_from_factor="100" /> <!-- ERA5 files are in milibar => pascal --> 
+
+     <axis id="nudged_vert_interp_src_dest"  axis_ref="lev">
+       <interpolate_axis order="1" coordinate_src="p_nudged_horiz_interp" coordinate_dst="p_nudged" />
+     </axis>   
+
+     <axis id="nudged_vert_interp_dest"  axis_ref="lev">
+       <interpolate_axis order="1" coordinate_dst="p_nudged" />
+     </axis> 
+
+
+     <axis id="from_nudged"  axis_ref="axis_nudged" /> <!-- axis_ref will be set from model -->
+
+     <axis id="from_nudged0" axis_ref="axis_nudged" /> <!-- axis_ref will be set from model -->   
+     
+   </axis_definition>
+
+   
+   <grid_definition>
+   
+     <grid id="grid_q_nudged">
+       <domain domain_ref="domain_nudged" />
+       <axis axis_ref="axis_nudged" />
+       <axis axis_ref="nq" />
+     </grid>
+
+    <grid id="grid_q_from_nudged_horiz_interp">
+       <domain domain_ref="from_nudged" />
+       <axis axis_ref="axis_nudged" />
+       <axis axis_ref="nq" />
+     </grid>
+ 
+     <grid id="grid_q_from_nudged">
+       <domain domain_ref="from_nudged" />
+       <axis axis_ref="from_nudged" />
+       <axis axis_ref="nq" />
+     </grid>
+
+     <grid id="grid_q_from_nudged0">
+       <domain domain_ref="from_nudged" />
+       <axis axis_ref="from_nudged0" />
+       <axis axis_ref="nq" />
+     </grid>
+   
+   </grid_definition>
+    
+</context>
Index: /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/PARAM/run_dynamico.def_nbp40
===================================================================
--- /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/PARAM/run_dynamico.def_nbp40	(revision 6051)
+++ /CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/GENERAL/PARAM/run_dynamico.def_nbp40	(revision 6052)
@@ -1,2 +1,26 @@
+metric_type = icosa_global
+
+#---------------- guided ----------------
+#guided_type = none
+guided_type = _AUTO_
+#nudging
+#frequence de lecture dans fichier forcage / coller a frequence du fichier par rapport Ã  dt
+# toutes les 6h 
+itau_nudging = 48
+
+nudging_zone = global
+
+
+#temps relaxation en secondes = force de rappel (voir dissip/nudging.f90)  >= dt
+U_relax_in=21600
+PS_relax_in=1e30
+T_relax_in=1e30
+Q_relax_in=1e30
+
+#guide_U = u, v 
+guide_U=y
+
+# -------------------------------  ---------------------------------
+
 mpi_threading_mode=funneled
 # ------------------------------- Mesh ---------------------------------