Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/COMP/opa9.card	(revision 6013)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES/jra/ia/COMP/opa9.card	(revision 6072)
@@ -19,5 +19,5 @@
 forcing=jra
 R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/MRI-JRA55-do-1-4-0
-ListForcing=(u_10 v_10 t_10 q_10 rsds rlds rain snow)
+ListForcing=(u_10 v_10 t_10 q_10 rsds rlds precip snow)
 YearForcingInit=1958
 YearForcingEnd=2018
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/COMP/opa9.card	(revision 6013)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA1_LIM3_PISCES_CMIP6/omip2/ia/COMP/opa9.card	(revision 6072)
@@ -19,5 +19,5 @@
 forcing=jra
 R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/MRI-JRA55-do-1-4-0
-ListForcing=(u_10 v_10 t_10 q_10 rsds rlds rain snow)
+ListForcing=(u_10 v_10 t_10 q_10 rsds rlds precip snow)
 YearForcingInit=1958
 YearForcingEnd=2018
Index: CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/COMP/opa9.card	(revision 6013)
+++ CONFIG/UNIFORM/v6/NEMO_v6/EXPERIMENTS/ORCA2_LIM3_PISCES/jra/ia/COMP/opa9.card	(revision 6072)
@@ -17,5 +17,5 @@
 forcing=jra
 R_FORCING=${R_IN}/OCE/NEMO/FORCINGS/MRI-JRA55-do-1-4-0
-ListForcing=(u_10 v_10 t_10 q_10 rsds rlds rain snow)
+ListForcing=(u_10 v_10 t_10 q_10 rsds rlds precip snow)
 YearForcingInit=1958
 YearForcingEnd=2016
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA025/namelist_jra_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA025/namelist_jra_ia_cfg	(revision 6013)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA025/namelist_jra_ia_cfg	(revision 6072)
@@ -242,5 +242,5 @@
    sn_tair     = 't_10'     ,         3          , 'tas'      ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_humi     = 'q_10'     ,         3          , 'huss'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_prec     = 'rain'     ,         3          , 'prrn'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_prec     = 'precip'   ,         3          , 'prtot'    ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_snow     = 'snow'     ,         3          , 'prsn'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
 /
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg	(revision 6013)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA1/namelist_jra_ia_cfg	(revision 6072)
@@ -112,5 +112,5 @@
    sn_tair     = 't_10'     ,         3          , 'tas'      ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_humi     = 'q_10'     ,         3          , 'huss'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_prec     = 'rain'     ,         3          , 'prra'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_prec     = 'precip'   ,         3          , 'prtot'    ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_snow     = 'snow'     ,         3          , 'prsn'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
 /
Index: CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_jra_ia_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_jra_ia_cfg	(revision 6013)
+++ CONFIG/UNIFORM/v6/NEMO_v6/GENERAL/PARAM/NAMELIST/ORCA2/namelist_jra_ia_cfg	(revision 6072)
@@ -95,5 +95,5 @@
    sn_tair     = 't_10'     ,         3          , 'tas'      ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_humi     = 'q_10'     ,         3          , 'huss'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
-   sn_prec     = 'rain'     ,         3          , 'prra'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
+   sn_prec     = 'precip'   ,         3          , 'prtot'     ,    .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
    sn_snow     = 'snow'     ,         3          , 'prsn'     ,     .true.     ,  .false. , 'yearly'  , 'weights_bilinear.nc' , ''
 /